Token payroll
Get Payroll Sync History
Returns recent payroll sync history records for the org, newest first.
GEThttps://api.toku.com/stablecoin-payroll/get-payroll-sync-history
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/get-payroll-sync-history?orgID=%3CorgID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"success": true,
"data": {
"history": [
{
"syncHistoryID": "string",
"orgID": "string",
"source": "string",
"syncTimestamp": "string",
"recordsProcessed": 0,
"recordsCreated": 0,
"recordsUpdated": 0,
"errors": [
"string"
],
"metadata": {}
}
],
"totalCount": 0
},
"error": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
orgIDstring<uuid>requiredlimitnumberAllowed: 1 to 100
Default: 50
Response
200Successful response
successboolean | nulldataobject | nullShow child attributes
historyarray | nullShow child attributes
syncHistoryIDstring | nullorgIDstring | nullsourcestring | nullsyncTimestampstring | nullrecordsProcessednumber | nullrecordsCreatednumber | nullrecordsUpdatednumber | nullerrorsarray | nullmetadataobject | nulltotalCountnumber | nullerrorstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits